> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easierprop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Aggregate Feed

> Cross-account aggregate delivery. Clients send `subscribe_aggregate`
with a `channels` array instead of the normal per-account `subscribe`
message. Events are emitted as `aggregate` messages with `account_id`,
`channel`, and `data`.




## AsyncAPI

````yaml asyncapi-spec/websockets.yaml aggregate
id: aggregate
title: Aggregate Feed
description: |
  Cross-account aggregate delivery. Clients send `subscribe_aggregate`
  with a `channels` array instead of the normal per-account `subscribe`
  message. Events are emitted as `aggregate` messages with `account_id`,
  `channel`, and `data`.
servers:
  - id: production
    protocol: wss
    host: api.easierprop.com
    bindings: []
    variables: []
address: /ws
parameters: []
bindings: []
operations:
  - &ref_1
    id: subscribeAggregate
    title: Subscribe aggregate
    description: Subscribe to aggregate feed
    type: receive
    messages:
      - &ref_3
        id: subscribe
        contentType: application/json
        payload:
          - name: Subscribe Aggregate
            description: >-
              Subscribe to aggregate delivery across all accounts owned by the
              API key
            type: object
            properties:
              - name: type
                type: string
                description: subscribe_aggregate
                required: true
              - name: channels
                type: array
                description: Underlying streams to merge into aggregate events
                required: true
                properties:
                  - name: item
                    type: string
                    enumValues:
                      - quotes
                      - orders
                      - profit
                      - heartbeat
                      - new_position
                      - ohlc
                      - order_book
                      - tick_value
                    required: false
              - name: interval_ms
                type: integer
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          required:
            - type
            - channels
          properties:
            type:
              type: string
              const: subscribe_aggregate
              x-parser-schema-id: <anonymous-schema-65>
            channels:
              type: array
              items:
                type: string
                enum:
                  - quotes
                  - orders
                  - profit
                  - heartbeat
                  - new_position
                  - ohlc
                  - order_book
                  - tick_value
                x-parser-schema-id: <anonymous-schema-67>
              description: Underlying streams to merge into aggregate events
              x-parser-schema-id: <anonymous-schema-66>
            interval_ms:
              type: integer
              default: 500
              x-parser-schema-id: <anonymous-schema-68>
          examples:
            - type: subscribe_aggregate
              channels:
                - orders
                - profit
              interval_ms: 1000
          x-parser-schema-id: <anonymous-schema-64>
        title: Subscribe Aggregate
        description: >-
          Subscribe to aggregate delivery across all accounts owned by the API
          key
        example: |-
          {
            "type": "subscribe_aggregate",
            "channels": [
              "orders",
              "profit"
            ],
            "interval_ms": 1000
          }
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: subscribe
    bindings: []
    extensions: &ref_0
      - id: x-parser-unique-object-id
        value: aggregate
  - &ref_2
    id: receiveAggregate
    title: Receive aggregate
    description: Receive aggregate events
    type: send
    messages:
      - &ref_4
        id: event
        contentType: application/json
        payload:
          - name: Aggregate Event
            description: Event emitted by aggregate delivery
            type: object
            properties:
              - name: type
                type: string
                description: aggregate
                required: false
              - name: account_id
                type: string
                required: false
              - name: channel
                type: string
                enumValues:
                  - quotes
                  - orders
                  - profit
                  - heartbeat
                  - new_position
                  - ohlc
                  - order_book
                  - tick_value
                required: false
              - name: data
                type: object
                description: Underlying stream payload
                required: false
        headers: []
        jsonPayloadSchema:
          type: object
          properties:
            type:
              type: string
              const: aggregate
              x-parser-schema-id: <anonymous-schema-70>
            account_id:
              type: string
              format: uuid
              x-parser-schema-id: <anonymous-schema-71>
            channel:
              type: string
              enum:
                - quotes
                - orders
                - profit
                - heartbeat
                - new_position
                - ohlc
                - order_book
                - tick_value
              x-parser-schema-id: <anonymous-schema-72>
            data:
              type: object
              description: Underlying stream payload
              x-parser-schema-id: <anonymous-schema-73>
          x-parser-schema-id: <anonymous-schema-69>
        title: Aggregate Event
        description: Event emitted by aggregate delivery
        example: No examples found
        bindings: []
        extensions:
          - id: x-parser-unique-object-id
            value: event
    bindings: []
    extensions: *ref_0
sendOperations:
  - *ref_1
receiveOperations:
  - *ref_2
sendMessages:
  - *ref_3
receiveMessages:
  - *ref_4
extensions:
  - id: x-parser-unique-object-id
    value: aggregate
securitySchemes:
  - id: ApiKeyAuth
    name: apiKey
    type: httpApiKey
    description: >-
      API key passed as query parameter:
      wss://api.easierprop.com/ws?apiKey=sk_your_key
    in: query
    extensions: []

````